Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.actor
Class ActorConstants

    java.lang.Object
      things.thinger.service.actor.ActorConstants

    public class ActorConstants

extends java.lang.Object

The actor service. This was never really finished.

Version:
  1.0

  Version History

      EPG - Initial - 2 MAY 07

Author:
  Erich P. Gatejen

Field Summary
`static java.lang.String` | `MESSAGE_TYPE_ACK`
`static java.lang.String` | `MESSAGE_TYPE_CONFIGURATION`
`static java.lang.String` | `MESSAGE_TYPE_LOG`
`static java.lang.String` | `MESSAGE_TYPE_NACK`
`static java.lang.String` | `MESSAGE_TYPE_NONE` Message type.
`static java.lang.String` | `MESSAGE_TYPE_QUIT`
`static java.lang.String` | `MESSAGE_TYPE_QUITING`
`static java.lang.String` | `MESSAGE_TYPE_SEND`
`static java.lang.String` | `MESSAGE_TYPE_SERVICE`
`static java.lang.String` | `PARAMETER_ACK_SEQUENCE`
`static java.lang.String` | `PARAMETER_CLASS_NAME`
`static java.lang.String` | `PARAMETER_CODE`
`static java.lang.String` | `PARAMETER_FILE`
`static java.lang.String` | `PARAMETER_FROM`
`static java.lang.String` | `PARAMETER_HOST`
`static java.lang.String` | `PARAMETER_LOG`
`static java.lang.String` | `PARAMETER_PORT`
`static java.lang.String` | `PARAMETER_RESETS`
`static java.lang.String` | `PARAMETER_RESPONSE`
`static java.lang.String` | `PARAMETER_SIZE`
`static java.lang.String` | `PARAMETER_TIME`
`static java.lang.String` | `PARAMETER_TO`

Constructor Summary
`ActorConstants()`

Method Summary
`static void` | `encodeInteger(byte[] encoded, int offset, int value)` Encode an integer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGE_TYPE_NONE

    public static final java.lang.String MESSAGE_TYPE_NONE

  Message type.

  See Also:
    Constant Field Values

### MESSAGE_TYPE_QUIT

    public static final java.lang.String MESSAGE_TYPE_QUIT

See Also:
  Constant Field Values

### MESSAGE_TYPE_ACK

    public static final java.lang.String MESSAGE_TYPE_ACK

See Also:
  Constant Field Values

### MESSAGE_TYPE_NACK

    public static final java.lang.String MESSAGE_TYPE_NACK

See Also:
  Constant Field Values

### MESSAGE_TYPE_QUITING

    public static final java.lang.String MESSAGE_TYPE_QUITING

See Also:
  Constant Field Values

### MESSAGE_TYPE_LOG

    public static final java.lang.String MESSAGE_TYPE_LOG

See Also:
  Constant Field Values

### MESSAGE_TYPE_SERVICE

    public static final java.lang.String MESSAGE_TYPE_SERVICE

See Also:
  Constant Field Values

### MESSAGE_TYPE_CONFIGURATION

    public static final java.lang.String MESSAGE_TYPE_CONFIGURATION

See Also:
  Constant Field Values

### MESSAGE_TYPE_SEND

    public static final java.lang.String MESSAGE_TYPE_SEND

See Also:
  Constant Field Values

### PARAMETER_ACK_SEQUENCE

    public static final java.lang.String PARAMETER_ACK_SEQUENCE

See Also:
  Constant Field Values

### PARAMETER_CLASS_NAME

    public static final java.lang.String PARAMETER_CLASS_NAME

See Also:
  Constant Field Values

### PARAMETER_RESPONSE

    public static final java.lang.String PARAMETER_RESPONSE

See Also:
  Constant Field Values

### PARAMETER_LOG

    public static final java.lang.String PARAMETER_LOG

See Also:
  Constant Field Values

### PARAMETER_HOST

    public static final java.lang.String PARAMETER_HOST

See Also:
  Constant Field Values

### PARAMETER_PORT

    public static final java.lang.String PARAMETER_PORT

See Also:
  Constant Field Values

### PARAMETER_RESETS

    public static final java.lang.String PARAMETER_RESETS

See Also:
  Constant Field Values

### PARAMETER_FROM

    public static final java.lang.String PARAMETER_FROM

See Also:
  Constant Field Values

### PARAMETER_TO

    public static final java.lang.String PARAMETER_TO

See Also:
  Constant Field Values

### PARAMETER_FILE

    public static final java.lang.String PARAMETER_FILE

See Also:
  Constant Field Values

### PARAMETER_CODE

    public static final java.lang.String PARAMETER_CODE

See Also:
  Constant Field Values

### PARAMETER_TIME

    public static final java.lang.String PARAMETER_TIME

See Also:
  Constant Field Values

### PARAMETER_SIZE

    public static final java.lang.String PARAMETER_SIZE

See Also:
  Constant Field Values

Constructor Detail

### ActorConstants

    public ActorConstants()

Method Detail

### encodeInteger

    public static void encodeInteger(byte[] encoded,
                                     int offset,
                                     int value)

  Encode an integer.

  Parameters:
    `encoded` -
    `offset` -
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.